Hello there

As a mozilla beta tester I am very angry at your post. Its your site that is wrong not netscape. Naetscape 6 is 100% standards complaint but does not support solppy code that IE allows. So really its IE's fault for allowing you to use sloppy code in the first place . Also check you netscape verion if it is PR1 then that has many bugs you should grab mozilla m16

Cheers
any more quextions email me @ m_shiel@bolt.com